import request from './axios';



//  微信授权登录
export const wxLogin = (params, succCallback, errorCallback) => {
	return request('/job-dev/house/applet/login',params,'GET',false, succCallback,errorCallback)
};

//  获取首页轮播图
export const getBannerList = (params, succCallback, errorCallback) => {
	return request('/job-dev/house/applet/banner',params,'GET',true, succCallback,errorCallback)
};

//  获取地区 
export const getAddressList = (params, succCallback, errorCallback) => {
	return request('/job-dev/house/applet/indexListPage', params,'GET',true, succCallback,errorCallback)
};

//  首页获取分类 
export const getClassList = (params, succCallback, errorCallback) => {
	return request('/job-dev/house/applet/indexClass', params,'GET',true, succCallback,errorCallback)
};

//  首页获取好房源 
export const getHotList = (params, succCallback, errorCallback) => {
	return request('/job-dev/house/applet/indexHotList', params,'GET',true, succCallback,errorCallback)
};

//  请求接口获得后台列表数据信息 = 推荐房源
export const getHouseListPage = (params, succCallback, errorCallback) => {
	return request('/job-dev/house/applet/indexListPage', params,'GET',true, succCallback,errorCallback)
};

// 获取公告通知
export const getNiceInfo = (params, succCallback, errorCallback) => {
	return request('/job-dev/house/applet/notice', params,'GET',true, succCallback,errorCallback)
};
